[% INCLUDE 'doc-head-open.inc' %]
 <title>Koha &rsaquo; Tools &rsaquo; GOBI acquisitions</title>
[% INCLUDE 'doc-head-close.inc' %]
  <style>
    .gobi {
      width: 70%;
    }
  </style>
  <script type="text/javascript">

      $(document).ready(function(){
        $("#refresh").on("click",function(e){
            e.preventDefault;
            $('#api_key').val(gen_api_key(32));
        });
      });

      function gen_api_key(size) {
        var output = "";
        var chars = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";

        for (var i = 0; i < size; i++)
          output += chars.charAt(Math.floor(Math.random() * chars.length));

        return output;
      }
  </script>
</head>
<body>
[% INCLUDE 'header.inc' %]
[% INCLUDE 'cat-search.inc' %]

<div id="breadcrumbs">
    <a href="/cgi-bin/koha/mainpage.pl">Home</a> &rsaquo;
    <a href="/cgi-bin/koha/mainpage.pl">Tools</a> &rsaquo;
    <a href="/cgi-bin/koha/plugins/plugins-home.pl">Plugins</a> &rsaquo;
    <a href="?class=[% CLASS %]&method=tool">GOBI</a>
</div>

<div id="doc3" class="yui-t2">
  <div id="yui-main">
    <h2>GOBI acquisitions</h2>
    <br/>
      <h4>Configure</h4>
      <form method="post">
            <input type="hidden" name="class"  value="[% CLASS %]"/>
            <input type="hidden" name="method" value="tool"/>
            <input type="hidden" name="step"   value="configure"/>
            <p>
              <div class="input-group" style="width: 440px;">
                <span class="input-group-addon" id="api_key_label">API KEY</span>
                <input type="text" class="form-control" aria-describedby="api_key_label" name="api_key" id="api_key" value="[% api_key %]" />
                <span class="input-group-btn">
                    <span class="btn btn-default" id="refresh"><i class="fa fa-refresh" aria-hidden="true"></i></span>
                </span>
              </div>
            </p>
            <div class="input-group" style="width: 440px;">
                <span class="input-group-addon" id="vendor_id_label">GOBI vendor id</span>
                <input type="text" class="form-control" aria-describedby="vendor_id_label" name="vendor_id" id="vendor_id" value="[% vendor_id %]" />
            </div>
            <div class="input-group" style="width: 440px;">
                <span class="input-group-addon" id="patron_id_label">GOBI patron id</span>
                <input type="text" class="form-control" aria-describedby="patron_id_label" name="patron_id" id="patron_id" value="[% patron_id %]" />
            </div>
            <div class="input-group" style="width: 440px;">
                <span class="input-group-addon" id="not_loan_label">NOT_LOAN value</span>
                <input type="text" class="form-control" aria-describedby="not_loan_label" name="not_loan" id="not_loan" value="[% not_loan %]" />
            </div>
            <div class="input-group" style="width: 440px;">
                <span class="input-group-addon" id="lpm_sort1_label">Listed print monograph (sort1)</span>
                <input type="text" class="form-control" aria-describedby="lpm_sort1_label" name="lpm_sort1" id="lpm_sort1" value="[% lpm_sort1 %]" />
            </div>
            <div class="input-group" style="width: 440px;">
                <span class="input-group-addon" id="lpm_sort2_label">Listed print monograph (sort2)</span>
                <input type="text" class="form-control" aria-describedby="lpm_sort2_label" name="lpm_sort2" id="lpm_sort2" value="[% lpm_sort2 %]" />
            </div>
            <div class="input-group" style="width: 440px;">
                <span class="input-group-addon" id="upm_sort1_label">Unlisted print monograph (sort1)</span>
                <input type="text" class="form-control" aria-describedby="upm_sort1_label" name="upm_sort1" id="upm_sort1" value="[% upm_sort1 %]" />
            </div>
            <div class="input-group" style="width: 440px;">
                <span class="input-group-addon" id="upm_sort2_label">Unlisted print monograph (sort2)</span>
                <input type="text" class="form-control" aria-describedby="upm_sort2_label" name="upm_sort2" id="upm_sort2" value="[% upm_sort2 %]" />
            </div>
            <div class="input-group" style="width: 440px;">
                <span class="input-group-addon" id="lps_sort1_label">Listed print serial (sort1)</span>
                <input type="text" class="form-control" aria-describedby="lps_sort1_label" name="lps_sort1" id="lps_sort1" value="[% lps_sort1 %]" />
            </div>
            <div class="input-group" style="width: 440px;">
                <span class="input-group-addon" id="lps_sort2_label">Listed print serial (sort2)</span>
                <input type="text" class="form-control" aria-describedby="lps_sort2_label" name="lps_sort2" id="lps_sort2" value="[% lps_sort2 %]" />
            </div>
            <div class="input-group" style="width: 440px;">
                <span class="input-group-addon" id="ups_sort1_label">Unlisted print serial (sort1)</span>
                <input type="text" class="form-control" aria-describedby="ups_sort1_label" name="ups_sort1" id="ups_sort1" value="[% ups_sort1 %]" />
            </div>
            <div class="input-group" style="width: 440px;">
                <span class="input-group-addon" id="ups_sort2_label">Unlisted print serial (sort2)</span>
                <input type="text" class="form-control" aria-describedby="ups_sort2_label" name="ups_sort2" id="ups_sort2" value="[% ups_sort2 %]" />
            </div>
            <div class="input-group" style="width: 440px;">
                <span class="input-group-addon" id="lem_sort1_label">Listed electronic monograph (sort1)</span>
                <input type="text" class="form-control" aria-describedby="lem_sort1_label" name="lem_sort1" id="lem_sort1" value="[% lem_sort1 %]" />
            </div>
            <div class="input-group" style="width: 440px;">
                <span class="input-group-addon" id="lem_sort2_label">Listed electronic monograph (sort2)</span>
                <input type="text" class="form-control" aria-describedby="lem_sort2_label" name="lem_sort2" id="lem_sort2" value="[% lem_sort2 %]" />
            </div>
             <div class="input-group" style="width: 440px;">
                <span class="input-group-addon" id="les_sort1_label">Listed electronic serial (sort1)</span>
                <input type="text" class="form-control" aria-describedby="les_sort1_label" name="les_sort1" id="les_sort1" value="[% les_sort1 %]" />
            </div>
            <div class="input-group" style="width: 440px;">
                <span class="input-group-addon" id="les_sort2_label">Listed electronic serial (sort2)</span>
                <input type="text" class="form-control" aria-describedby="les_sort2_label" name="les_sort2" id="les_sort2" value="[% les_sort2 %]" />
            </div>
            <div class="input-group" style="width: 440px;">
                <span class="input-group-addon" id="create_item_for_electronic_resources_label">Create items for electronic resources</span>
                <select class="form-control" aria-describedby="create_item_for_electronic_resources_label" name="create_item_for_electronic_resources" id="create_item_for_electronic_resources">
                  <option value="1" [% IF create_item_for_electronic_resources %]selected[% END %]>Yes</option>
                  <option value="0" [% IF !create_item_for_electronic_resources %]selected[% END %]>No</option>
                </select>
            </div>
            <div class="input-group" style="width: 440px;">
                <span class="input-group-addon" id="add_nonpublic_item_notes_label">Add non-public item notes</span>
                <select class="form-control" aria-describedby="add_nonpublic_item_notes_label" name="add_nonpublic_item_notes" id="add_nonpublic_item_notes">
                  <option value="1" [% IF add_nonpublic_item_notes %]selected[% END %]>Yes</option>
                  <option value="0" [% IF !add_nonpublic_item_notes %]selected[% END %]>No</option>
                </select>
            </div>
            <div class="input-group" style="width: 440px;">
                <span class="input-group-addon" id="marc_mod_template">MARC modification template to apply</span>
                <input type="text" class="form-control" aria-describedby="marc_mod_template" name="marc_mod_template" id="marc_mod_template" value="[% marc_mod_template %]" />
            </div>
            <br/>
            <button type="submit" value="Save" class="btn btn-default" type="button">Save</button>
      </form>
  </div>
  <div class="yui-b">
    <div id="navmenu">&nbsp;</div>
  </div>
[% INCLUDE 'intranet-bottom.inc' %]
